<bugID>1154789<Summary>Create searchbox React component for devtools</Summary><Description>To get 'filter rules' (bug 1120616) landed, we have some code duplication between the rule view and computed view.  Specifically, there is a new element with markup like this:

&lt;div class="devtools-searchbox"&gt;
  &lt;input id="ruleview-searchbox"
         class="devtools-searchinput devtools-rule-searchbox"
         type="search" placeholder="&amp;userStylesSearch;"/&gt;
  &lt;button id="ruleview-searchinput-clear" class="devtools-searchinput-clear"&gt;&lt;/button&gt;
&lt;/div&gt;

It handles events for clearing the input when the devtools-searchinput-clear button is clicked, when to show and hide that button, a timeout before firing a change event, and context menu integration with the toolbox-textbox-context-popup element.

This would be generally useful for other tools, and also would allow us to clean up some duplicated code throughout the rule view and computed view.  We can also have a single test in place for that widget that would replace both browser_computedview_search-filter_context-menu.js and browser_ruleview_search-filter_context-menu.js.</Description></bugID>